<script lang="ts">
import Vue from 'vue';
import { SlpRow } from '../common/index.vue';

export default Vue.extend({
  name: 'SdlCta',
  components: { SlpRow },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section
    class="sdl-cta slp-mt-96 slp-mb-64"
    :data-aos="data.aos_animation"
    :data-aos-duration="data.aos_duration"
  >
    <SlpRow>
      <div class="sdl-cta__body">
        <img
          v-if="data.image"
          class="sdl-cta__icon slp-mb-8"
          :src="data.image.url"
          :alt="data.image.alt + ' Spotlight Icon'"
        />
        <SlpTypography tag="h1" variant="heading1">{{
          data.title
        }}</SlpTypography>
        <SlpTypogrpahy
          tag="h4"
          variant="heading4"
          class="slp-text-lg slp-mb-8 slp-mt-16"
          >{{ data.subtitle }}</SlpTypogrpahy
        >
        <div
          v-if="data.text"
          class="slp-text-base sdl-cta__text"
          v-html="$md.render(data.text)"
        ></div>
      </div>
    </SlpRow>
  </section>
</template>

<style scoped lang="scss">
.sdl-cta {
  &__body {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: 100%;
  }

  &__icon {
    height: 5rem;
  }

  &__text {
    margin: 0 auto;
    @media (min-width: $breakpoint-md) {
      width: 65%;
      margin-top: 10px;
    }
  }
}
</style>
